body{
	font-family: "Trebuchet MS", sans-serif;
	margin: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 100vh; /* 100% of the viewport height */
	background-color: #f4f4f4;
}
body.result-display{
	font-family: "Trebuchet MS", sans-serif;
	margin: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	height: auto;
	background-color: #f4f4f4;
}
.demoHeaders {
	margin-top: 2em;
}
#dialog-link {
	padding: .4em 1em .4em 20px;
	text-decoration: none;
	position: relative;
}
#dialog-link span.ui-icon {
	margin: 0 5px 0 0;
	position: absolute;
	left: .2em;
	top: 50%;
	margin-top: -8px;
}
#icons {
	margin: 0;
	padding: 0;
}
#icons li {
	margin: 2px;
	position: relative;
	padding: 4px 0;
	cursor: pointer;
	float: left;
	list-style: none;
}
#icons span.ui-icon {
	float: left;
	margin: 0 4px;
}
.fakewindowcontain .ui-widget-overlay {
	position: absolute;
}
select {
	width: 200px;
}

.align-center {
	text-align: center;
}
.align-left {
	text-align: left;
}
.align-right {
	text-align: right;
}

img.flourish {
	width: 200px;
	max-width: 50%;
	height: auto;
	display: block;
	margin: 0 auto;
}

img.flourish-award {
	width: 150px;
	max-width: 50%;
	height: auto;
	display: block;
	margin: 0 auto;
}

img.flourish-result {
	width: 100px;
	max-width: 50%;
	height: auto;
	display: block;
	margin: 0 auto;
}

form {
	background-color: #fff;
	padding: 20px;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	width: 100%;
	max-width: 400px; /* Set a maximum width for responsiveness */
}

input {
	width: 100%;
	padding: 10px;
	margin-bottom: 10px;
	box-sizing: border-box;
}

button {
	background-color: #333;
	color: #fff;
	padding: 10px;
	border: none;
	cursor: pointer;
	width: 100%;
}

div.award {
	background-color: #fff;
	padding: 20px;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	width: 100%;
	min-width: 576px; /* Set a maximum width for responsiveness */
}

div.result {
	background-color: #fff;
	padding: 20px;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	width: 100%;
	min-width: 700px; /* Set a maximum width for responsiveness */
	font-size: 0.8em;
}

div.footer {
	width: 100%;
	min-width: 576px;
	padding: 20px;
}

.award-label {
	font-variant: small-caps;
}

.rounded-corner-div {
    border-radius: 10px; /* Adjust the value to control the roundness of the corners */
    border: 1px solid #ccc; /* Add border styles as needed */
    padding: 10px; /* Add padding to the content inside the div */
    background-color: #fff; /* Set the background color */
	margin-bottom: 10px;
}

.rank1 {
	background-color: rgba(255, 215, 0, 0.75);
}
.rank2 {
	background-color: rgba(169, 176, 180, 0.75);
}
.rank3 {
	background-color: rgba(205, 127, 50, 0.75);
}
.rank4 {
	background-color: #ff7f7f;
}
.rank5 {
	background-color: #87ceeb;
}
.rankqualifier {
	background-color: #90ee90;
}

table {
    border-collapse: collapse; /* Collapse borders into a single border */
    width: 100%; /* Make the table width 100% of its container */
}

table, th, td {
    border: 1px solid #ddd; /* Set a thin border color */
}

th, td {
    padding: 2px; /* Add padding to cells for better spacing */
    text-align: center; /* Align text to the left within cells */
}

tr.winner {
	background-color: #ffd700;
	font-weight: bold;
}
tr.qualifier {
	background-color: #90ee90;
	font-weight: bold;
}

h3.form-title {
	background-color: #2e6e9e;
	font-variant: small-caps;
	padding: 10px;
	text-align: center;
	color: #fff;
}

th.row-header {
	width: 50%;
}

div.judges_codes {
	background-color: #fff;
	padding: 2px 10px 5px;
	margin-top: 2px;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	width: 100%;
	min-width: 576px; /* Set a maximum width for responsiveness */
	background-image: url('/img/flourish-logo.png'); 
	background-repeat: no-repeat; 
	background-position: 10px 85%;
	background-size: 100px;
}
span.lowercase {
	text-transform: lowercase !important;
	font-variant: normal !important;
}

.button-red {
	background-color: #ff7f7f !important;
}
.button-green {
	background-color: #7fff94 !important;
}
.button-blue {
	background-color: #1097f0 !important;
}

button {
	margin-top: 5px;
}